package Camera;

import lombok.Getter;

@Getter
public enum AverVisionM15W {
    Mode1(8.3, 3840, 2160, "16:9"),
    Mode2(2.1, 1920, 1080, "16:9"),
    Mode3(0.9, 1280, 720, "16:9"),
    Mode4(0.2, 640, 360, "16:9"),
    Mode5(4.9, 2560, 1920, "4:3"),
    Mode6(3.1, 2048, 1536, "4:3"),
    Mode7(1.9, 1600, 1200, "4:3"),
    Mode8(1.2, 1280, 960, "4:3"),
    Mode9(0.8, 1024, 768, "4:3"),
    ModeLive(0.3, 640, 480, "4:3"),
    ModeBest(8.3, 3840, 2160, "16:9"),
    Mode11(0.08, 320, 240, "4:3"),
    Mode12(1.0, 1280, 800, "16:10"),
    Mode13(1.3, 1280, 1024, "5:4");

    private final double Megapixel;
    private final int width;
    private final int height;
    private final String aspectRatio;

    AverVisionM15W(double Megapixel, int width, int height, String aspectRatio) {
        this.Megapixel = Megapixel;
        this.width = width;
        this.height = height;
        this.aspectRatio = aspectRatio;
    }


}
